Overview | Modules | Class Hierarchy | Classes | Members

# tlp::QtCPULODCalculatorThread Class Reference

`#include <QtCPULODCalculator.h>`

List of all members.

## Public Member Functions

- void run ()
- QtCPULODCalculatorThread (BoundingBox *bbTab, float *rTab, unsigned int sz, const Coord &e, const Matrix< float, 4 > &tfMatrix, const Vector< int, 4 > &global, const Vector< int, 4 > &current)

## Protected Attributes

- BoundingBox * boundingBoxTab
- float * resultTab
- unsigned int size
- Coord eye
- Matrix< float, 4 > transformMatrix
- Vector< int, 4 > globalViewport
- Vector< int, 4 > currentViewport

## Constructor & Destructor Documentation

tlp::QtCPULODCalculatorThread::QtCPULODCalculatorThread | ( | BoundingBox * | bbTab,
|  | float * | rTab,
|  | unsigned int | sz,
|  | const Coord & | e,
|  | const Matrix< float, 4 > & | tfMatrix,
|  | const Vector< int, 4 > & | global,
|  | const Vector< int, 4 > & | current
| ) | `[inline]`

## Member Function Documentation

void tlp::QtCPULODCalculatorThread::run | ( |  | ) |

## Member Data Documentation

BoundingBox* tlp::QtCPULODCalculatorThread::boundingBoxTab`[protected]`

Vector<int,4> tlp::QtCPULODCalculatorThread::currentViewport`[protected]`

Coord tlp::QtCPULODCalculatorThread::eye`[protected]`

Vector<int,4> tlp::QtCPULODCalculatorThread::globalViewport`[protected]`

float* tlp::QtCPULODCalculatorThread::resultTab`[protected]`

unsigned int tlp::QtCPULODCalculatorThread::size`[protected]`

Matrix<float, 4> tlp::QtCPULODCalculatorThread::transformMatrix`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010